NEWROOT(8)

NAME
newroot - replace the current root with a new one

SYNOPSIS
newroot [-i] block-special

OPTIONS
-i Copy mfs binary from boot image to memory

DESCRIPTION
Newroot causes the present / file system to be discarded and replaced by the one stored in the device indicated by block-special.

The -i option may be used to prevent loading the file system service for the new file system from disk. This is useful when for some reason the mfs binary on disk malfunctions, rendering Minix unable to boot.

This command is normally used to replace the initial ramdisk loaded as part of the operating system, with the operational version stored on disk. As such, it should be invoked from the /etc/rc stored in the initial-ramdisk image.

NOTES
Newroot should be used before any "real" use of the mount(1) command.

SEE ALSO
init(8), mount(1), mount(2).

AUTHOR
Newroot.c was written by Philip Homburg.